<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/AccessoryMotor.cpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('AccessoryMotor_8cpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryMotor.cpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*************************************************************</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">project: &lt;Accessories&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">author: &lt;Thierry PARIS&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">description: &lt;Class for a motorized accessory&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">*************************************************************/</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="Accessories_8h.html">Accessories.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef NO_MOTOR</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#a0594d7dee588b2abee916bfc82f33f90">   11</a></span>&#160;<a class="code" href="classAccessoryMotor.html#a0594d7dee588b2abee916bfc82f33f90">AccessoryMotor::AccessoryMotor</a>()</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;{</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;}</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#a204b97a97847c159cffcb1f5a6face31">   15</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#a204b97a97847c159cffcb1f5a6face31">AccessoryMotor::begin</a>(<a class="code" href="classPort.html">Port</a> *inpPort, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <span class="keywordtype">int</span> inSpeed, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDurationMilli)</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a> = inpPort;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <a class="code" href="classAccessory.html#af94464d9b49e5700d3c20d0cd206ac51">Accessory::begin</a>(STOP);</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>-&gt;<a class="code" href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">SetSpeed</a>(inSpeed);</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    this-&gt;<a class="code" href="classAccessory.html#a6e68b4693371383dfb026869af30d1d2">SetDuration</a>(inDurationMilli);</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    this-&gt;<a class="code" href="classAccessory.html#a7079494cf9cb5130e5b3a5762e04e947">prevState</a> = STOP;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    this-&gt;<a class="code" href="classAccessory.html#a57d1cb4de69eb625fc2bb82788591a22">AddMovingPosition</a>(inId, RIGHT);</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;}</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#a4a4dd6e62c407f40bd4f2f023a39ff50">   25</a></span>&#160;ACC_STATE <a class="code" href="classAccessoryMotor.html#a4a4dd6e62c407f40bd4f2f023a39ff50">AccessoryMotor::MoveToggle</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration, <span class="keywordtype">int</span> inSpeed)</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;{</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keywordflow">if</span> (this-&gt;<a class="code" href="classAccessory.html#a7079494cf9cb5130e5b3a5762e04e947">prevState</a> == LEFT)</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        this-&gt;InternalMove(RIGHT, inDuration, inSpeed);</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        this-&gt;InternalMove(LEFT, inDuration, inSpeed);</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keywordflow">return</span> this-&gt;<a class="code" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">GetState</a>();</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;}</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;ACC_STATE AccessoryMotor::InternalMove(ACC_STATE inStateToReach, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration, <span class="keywordtype">int</span> inSpeed)</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;{</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keywordflow">if</span> (this-&gt;<a class="code" href="classAccessory.html#ae8c3ad3e37a2ba5914f419abd3e2426f">IsActionDelayPending</a>())</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        <span class="keywordflow">return</span> this-&gt;<a class="code" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">GetState</a>();</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> duration = inDuration == 0 ? this-&gt;<a class="code" href="classAccessory.html#a8cfe1c1ca32753832146656755f6e7a7">GetDuration</a>() : inDuration;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keywordflow">if</span> (duration &gt; 0)</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        <a class="code" href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">StartAction</a>();</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keywordflow">if</span> (inSpeed &gt; 0)</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>-&gt;<a class="code" href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">SetSpeed</a>(inSpeed);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keywordflow">if</span> (inStateToReach == RIGHT)</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    {</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;AccessoryMotor InternalMove() RIGHT&quot;</span>));</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>-&gt;<a class="code" href="classPort.html#aef667cb477268c60f098300e139530ba">MoveLeftDir</a>();</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        this-&gt;<a class="code" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a>(RIGHT);</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    }</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    {</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;AccessoryMotor InternalMove() LEFT&quot;</span>));</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>-&gt;<a class="code" href="classPort.html#aab681b4f2e4bb26a31d80308a04e348f">MoveRightDir</a>();</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        this-&gt;<a class="code" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a>(LEFT);</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    }</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    this-&gt;<a class="code" href="classAccessory.html#a7079494cf9cb5130e5b3a5762e04e947">prevState</a> = this-&gt;<a class="code" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">GetState</a>();</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordflow">return</span> this-&gt;<a class="code" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">GetState</a>();</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;}</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#af66799e4adf177e1a9b71b63225e74b1">   68</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#af66799e4adf177e1a9b71b63225e74b1">AccessoryMotor::Event</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, ACCESSORIES_EVENT_TYPE inEvent, <span class="keywordtype">int</span> inData)</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;{</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keywordflow">switch</span> (inEvent)</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    {</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="keywordflow">case</span> ACCESSORIES_EVENT_TOGGLE:</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        this-&gt;<a class="code" href="classAccessoryMotor.html#a4a4dd6e62c407f40bd4f2f023a39ff50">MoveToggle</a>();</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordflow">case</span> ACCESSORIES_EVENT_MOVE:</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        <span class="keywordflow">switch</span> (inData)</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        {</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keywordflow">case</span> ACCESSORIES_MOVE_STRAIGHT:</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <span class="keywordflow">case</span> ACCESSORIES_MOVE_TOP:</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        <span class="keywordflow">case</span> ACCESSORIES_MOVE_LEFT:</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            this-&gt;<a class="code" href="classAccessoryMotor.html#a839204c654909fd47f6af1595b590d7e">MoveLeft</a>();</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        <span class="keywordflow">case</span> ACCESSORIES_MOVE_DIVERGE:</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        <span class="keywordflow">case</span> ACCESSORIES_MOVE_BOTTOM:</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        <span class="keywordflow">case</span> ACCESSORIES_MOVE_RIGHT:</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            this-&gt;<a class="code" href="classAccessoryMotor.html#ae6fec42eb87b2897fbebe84749361a94">MoveRight</a>();</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="keywordflow">case</span> ACCESSORIES_MOVE_OFF:</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        <span class="keywordflow">case</span> ACCESSORIES_MOVE_STOP:</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            this-&gt;<a class="code" href="classAccessoryMotor.html#acd5296e07283425dfa71799b14f81d09">MoveStop</a>();</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            this-&gt;<a class="code" href="classAccessory.html#a3de65543a892b3418df72f54439605cb">ResetAction</a>();</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        }</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordflow">case</span> ACCESSORIES_EVENT_MOVEPOSITION:</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        this-&gt;<a class="code" href="classAccessoryMotor.html#a3d013b0eaa9e9420bbd11d79529a474d">SetState</a>((ACC_STATE) inData);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keywordflow">case</span> ACCESSORIES_EVENT_MOVEPOSITIONID:</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        this-&gt;<a class="code" href="classAccessory.html#a5e837b6c4251c2fe69066d3146dd8478">SetLastMovingPosition</a>(this-&gt;<a class="code" href="classAccessory.html#a224977dffaa54df56def6a7b15af0031">IndexOfMovingPosition</a>(inId));</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        this-&gt;<a class="code" href="classAccessoryMotor.html#a3d013b0eaa9e9420bbd11d79529a474d">SetState</a>((ACC_STATE)this-&gt;<a class="code" href="classAccessory.html#aa249535a3c36291764e38ab1e4ae4cee">GetMovingPosition</a>(inId));</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keywordflow">case</span> ACCESSORIES_EVENT_MOVEPOSITIONINDEX:</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        this-&gt;<a class="code" href="classAccessory.html#a5e837b6c4251c2fe69066d3146dd8478">SetLastMovingPosition</a>(inData);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        this-&gt;<a class="code" href="classAccessoryMotor.html#a3d013b0eaa9e9420bbd11d79529a474d">SetState</a>((ACC_STATE)this-&gt;<a class="code" href="classAccessory.html#a62eee418f630f805d36f6005e0db1a9e">GetMovingPositionByIndex</a>(inData));</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="keywordflow">case</span> ACCESSORIES_EVENT_SETSPEED:</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>-&gt;<a class="code" href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">SetSpeed</a>(inData);</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keywordflow">case</span> ACCESSORIES_EVENT_EXTERNALMOVE:</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;        this-&gt;<a class="code" href="classAccessoryMotor.html#a9d244cc89802b184dd480f8a1a4bc557">ExternalMove</a>((ACC_STATE)inData);</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <span class="keywordflow">default</span>:</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    }</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;}</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#a3d013b0eaa9e9420bbd11d79529a474d">  124</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#a3d013b0eaa9e9420bbd11d79529a474d">AccessoryMotor::SetState</a>(ACC_STATE inState)</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;{ </div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    this-&gt;<a class="code" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a>(inState);</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    <span class="keywordflow">switch</span>(this-&gt;<a class="code" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">GetState</a>())</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    {</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        <span class="keywordflow">case</span> LEFT:</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;            this-&gt;<a class="code" href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">StartAction</a>();</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;            this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>-&gt;<a class="code" href="classPort.html#aef667cb477268c60f098300e139530ba">MoveLeftDir</a>();</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        <span class="keywordflow">case</span> RIGHT:</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            this-&gt;<a class="code" href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">StartAction</a>();</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>-&gt;<a class="code" href="classPort.html#aab681b4f2e4bb26a31d80308a04e348f">MoveRightDir</a>();</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        <span class="keywordflow">default</span>:</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;            this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>-&gt;<a class="code" href="classPort.html#a63cfeea67bec1eab18758d74cd435c00">MoveStop</a>();</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;            this-&gt;<a class="code" href="classAccessory.html#a3de65543a892b3418df72f54439605cb">ResetAction</a>();</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    }</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;}</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#a157b380119884b4895782c8a502cb310">  146</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#a157b380119884b4895782c8a502cb310">AccessoryMotor::Move</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId)</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;{</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    <span class="keywordflow">if</span> (this-&gt;<a class="code" href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">GetMovingPositionSize</a>() == 1)</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    {</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        this-&gt;<a class="code" href="classAccessoryMotor.html#a4a4dd6e62c407f40bd4f2f023a39ff50">MoveToggle</a>();</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        <span class="keywordflow">return</span>;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    }</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <span class="keywordtype">int</span> position = this-&gt;<a class="code" href="classAccessory.html#a224977dffaa54df56def6a7b15af0031">IndexOfMovingPosition</a>(inId);</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <span class="keywordflow">if</span> (position != -1)</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;        this-&gt;<a class="code" href="classAccessoryMotor.html#a3d013b0eaa9e9420bbd11d79529a474d">SetState</a>((ACC_STATE)position);</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;}</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#acd5296e07283425dfa71799b14f81d09">  160</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#acd5296e07283425dfa71799b14f81d09">AccessoryMotor::MoveStop</a>()</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;{</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>-&gt;<a class="code" href="classPort.html#a63cfeea67bec1eab18758d74cd435c00">MoveStop</a>();</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    this-&gt;<a class="code" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a>(STOP);</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;}</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#a7b07268c665e5ae1bc1bba6d215f185c">  166</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classAccessoryMotor.html#a7b07268c665e5ae1bc1bba6d215f185c">AccessoryMotor::ActionEnded</a>()</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;{</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    <span class="keywordtype">bool</span> end = <a class="code" href="classAccessory.html#af693b11f2a3b1a7c93d7fa43e600f292">Accessory::ActionEnded</a>();</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    <span class="keywordflow">if</span> (end)</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    {</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;        this-&gt;<a class="code" href="classAccessoryMotor.html#acd5296e07283425dfa71799b14f81d09">MoveStop</a>();</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    }</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <span class="keywordflow">return</span> end;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;}</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;<span class="preprocessor">#ifndef NO_EEPROM</span></div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;<span class="keywordtype">int</span> <a class="code" href="classAccessoryMotor.html#a62e7b93e8aa7c42795889e94882756b8">AccessoryMotor::EEPROMLoad</a>(<span class="keywordtype">int</span> inPos)</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;{</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    inPos = this-&gt;<a class="code" href="classAccessory.html#a245ad3bad4fa0f1d657fdc20b2edb868">Accessory::EEPROMLoad</a>(inPos);</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    <span class="keywordflow">switch</span> (this-&gt;<a class="code" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">GetState</a>())</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    {</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    <span class="keywordflow">case</span> LEFT:  this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>-&gt;<a class="code" href="classPort.html#aef667cb477268c60f098300e139530ba">MoveLeftDir</a>(); <span class="keywordflow">break</span>;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    <span class="keywordflow">case</span> RIGHT: this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>-&gt;<a class="code" href="classPort.html#aab681b4f2e4bb26a31d80308a04e348f">MoveRightDir</a>(); <span class="keywordflow">break</span>;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <span class="keywordflow">case</span> STOP:  this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>-&gt;<a class="code" href="classPort.html#a63cfeea67bec1eab18758d74cd435c00">MoveStop</a>(); <span class="keywordflow">break</span>;</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    }</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    <span class="keywordflow">return</span> inPos;</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;}</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classAccessoryMotor_html_a62e7b93e8aa7c42795889e94882756b8"><div class="ttname"><a href="classAccessoryMotor.html#a62e7b93e8aa7c42795889e94882756b8">AccessoryMotor::EEPROMLoad</a></div><div class="ttdeci">int EEPROMLoad(int inPos)</div></div>
<div class="ttc" id="classAccessoryMotor_html_a7b07268c665e5ae1bc1bba6d215f185c"><div class="ttname"><a href="classAccessoryMotor.html#a7b07268c665e5ae1bc1bba6d215f185c">AccessoryMotor::ActionEnded</a></div><div class="ttdeci">bool ActionEnded()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00166">AccessoryMotor.cpp:166</a></div></div>
<div class="ttc" id="classAccessory_html_ac4dc998e8f09ac7f94a3e06c56e8d5d4"><div class="ttname"><a href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">Accessory::GetMovingPositionSize</a></div><div class="ttdeci">const uint8_t GetMovingPositionSize() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00323">Accessory.hpp:323</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a157b380119884b4895782c8a502cb310"><div class="ttname"><a href="classAccessoryMotor.html#a157b380119884b4895782c8a502cb310">AccessoryMotor::Move</a></div><div class="ttdeci">void Move(unsigned long inId)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00146">AccessoryMotor.cpp:146</a></div></div>
<div class="ttc" id="classPort_html_a63cfeea67bec1eab18758d74cd435c00"><div class="ttname"><a href="classPort.html#a63cfeea67bec1eab18758d74cd435c00">Port::MoveStop</a></div><div class="ttdeci">virtual void MoveStop()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00167">Port.hpp:167</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a9d244cc89802b184dd480f8a1a4bc557"><div class="ttname"><a href="classAccessoryMotor.html#a9d244cc89802b184dd480f8a1a4bc557">AccessoryMotor::ExternalMove</a></div><div class="ttdeci">void ExternalMove(ACC_STATE inNewState)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00112">AccessoryMotor.hpp:112</a></div></div>
<div class="ttc" id="classAccessory_html_a62eee418f630f805d36f6005e0db1a9e"><div class="ttname"><a href="classAccessory.html#a62eee418f630f805d36f6005e0db1a9e">Accessory::GetMovingPositionByIndex</a></div><div class="ttdeci">int GetMovingPositionByIndex(int inIndex) const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00307">Accessory.hpp:307</a></div></div>
<div class="ttc" id="classAccessory_html_aa249535a3c36291764e38ab1e4ae4cee"><div class="ttname"><a href="classAccessory.html#aa249535a3c36291764e38ab1e4ae4cee">Accessory::GetMovingPosition</a></div><div class="ttdeci">int GetMovingPosition(unsigned long inId) const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00068">Accessory.cpp:68</a></div></div>
<div class="ttc" id="classAccessory_html_a5e837b6c4251c2fe69066d3146dd8478"><div class="ttname"><a href="classAccessory.html#a5e837b6c4251c2fe69066d3146dd8478">Accessory::SetLastMovingPosition</a></div><div class="ttdeci">void SetLastMovingPosition(uint8_t inLastPositionIndex)</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00157">Accessory.cpp:157</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a3d013b0eaa9e9420bbd11d79529a474d"><div class="ttname"><a href="classAccessoryMotor.html#a3d013b0eaa9e9420bbd11d79529a474d">AccessoryMotor::SetState</a></div><div class="ttdeci">void SetState(ACC_STATE instate)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00124">AccessoryMotor.cpp:124</a></div></div>
<div class="ttc" id="classAccessory_html_a3de65543a892b3418df72f54439605cb"><div class="ttname"><a href="classAccessory.html#a3de65543a892b3418df72f54439605cb">Accessory::ResetAction</a></div><div class="ttdeci">virtual void ResetAction()</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00385">Accessory.hpp:385</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_acd5296e07283425dfa71799b14f81d09"><div class="ttname"><a href="classAccessoryMotor.html#acd5296e07283425dfa71799b14f81d09">AccessoryMotor::MoveStop</a></div><div class="ttdeci">virtual void MoveStop()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00160">AccessoryMotor.cpp:160</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_ae6fec42eb87b2897fbebe84749361a94"><div class="ttname"><a href="classAccessoryMotor.html#ae6fec42eb87b2897fbebe84749361a94">AccessoryMotor::MoveRight</a></div><div class="ttdeci">virtual void MoveRight(unsigned long inDuration = 0, int inSpeed = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00097">AccessoryMotor.hpp:97</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a839204c654909fd47f6af1595b590d7e"><div class="ttname"><a href="classAccessoryMotor.html#a839204c654909fd47f6af1595b590d7e">AccessoryMotor::MoveLeft</a></div><div class="ttdeci">virtual void MoveLeft(unsigned long inDuration = 0, int inSpeed = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00091">AccessoryMotor.hpp:91</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_af66799e4adf177e1a9b71b63225e74b1"><div class="ttname"><a href="classAccessoryMotor.html#af66799e4adf177e1a9b71b63225e74b1">AccessoryMotor::Event</a></div><div class="ttdeci">void Event(unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00068">AccessoryMotor.cpp:68</a></div></div>
<div class="ttc" id="classAccessory_html_a224977dffaa54df56def6a7b15af0031"><div class="ttname"><a href="classAccessory.html#a224977dffaa54df56def6a7b15af0031">Accessory::IndexOfMovingPosition</a></div><div class="ttdeci">uint8_t IndexOfMovingPosition(unsigned long inId) const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00059">Accessory.cpp:59</a></div></div>
<div class="ttc" id="classPort_html_aab681b4f2e4bb26a31d80308a04e348f"><div class="ttname"><a href="classPort.html#aab681b4f2e4bb26a31d80308a04e348f">Port::MoveRightDir</a></div><div class="ttdeci">virtual void MoveRightDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00147">Port.hpp:147</a></div></div>
<div class="ttc" id="classAccessory_html_a60e5e9122c96773c975fe9d2c2db6520"><div class="ttname"><a href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">Accessory::SetStateRaw</a></div><div class="ttdeci">void SetStateRaw(ACC_STATE inNewState)</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00165">Accessory.cpp:165</a></div></div>
<div class="ttc" id="classPort_html_aef667cb477268c60f098300e139530ba"><div class="ttname"><a href="classPort.html#aef667cb477268c60f098300e139530ba">Port::MoveLeftDir</a></div><div class="ttdeci">virtual void MoveLeftDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00143">Port.hpp:143</a></div></div>
<div class="ttc" id="classAccessory_html_ab1dad31ee3bcac4b1baf9a140c7fa57d"><div class="ttname"><a href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">Accessory::StartAction</a></div><div class="ttdeci">virtual void StartAction()</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00077">Accessory.cpp:77</a></div></div>
<div class="ttc" id="classAccessory_html_a8cfe1c1ca32753832146656755f6e7a7"><div class="ttname"><a href="classAccessory.html#a8cfe1c1ca32753832146656755f6e7a7">Accessory::GetDuration</a></div><div class="ttdeci">unsigned long GetDuration() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00254">Accessory.hpp:254</a></div></div>
<div class="ttc" id="classAccessory_html_ae8c3ad3e37a2ba5914f419abd3e2426f"><div class="ttname"><a href="classAccessory.html#ae8c3ad3e37a2ba5914f419abd3e2426f">Accessory::IsActionDelayPending</a></div><div class="ttdeci">bool IsActionDelayPending() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00398">Accessory.hpp:398</a></div></div>
<div class="ttc" id="classAccessory_html_a6b837b3afb75f5eadcde5e1742db5c7d"><div class="ttname"><a href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">Accessory::GetState</a></div><div class="ttdeci">ACC_STATE GetState() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00209">Accessory.hpp:209</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a4a4dd6e62c407f40bd4f2f023a39ff50"><div class="ttname"><a href="classAccessoryMotor.html#a4a4dd6e62c407f40bd4f2f023a39ff50">AccessoryMotor::MoveToggle</a></div><div class="ttdeci">virtual ACC_STATE MoveToggle(unsigned long inDuration = 0, int inSpeed = 0) = 0</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00025">AccessoryMotor.cpp:25</a></div></div>
<div class="ttc" id="classAccessory_html_a57d1cb4de69eb625fc2bb82788591a22"><div class="ttname"><a href="classAccessory.html#a57d1cb4de69eb625fc2bb82788591a22">Accessory::AddMovingPosition</a></div><div class="ttdeci">uint8_t AddMovingPosition(unsigned long inId, int inPosition)</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00049">Accessory.cpp:49</a></div></div>
<div class="ttc" id="classAccessory_html_af693b11f2a3b1a7c93d7fa43e600f292"><div class="ttname"><a href="classAccessory.html#af693b11f2a3b1a7c93d7fa43e600f292">Accessory::ActionEnded</a></div><div class="ttdeci">virtual bool ActionEnded()</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00134">Accessory.cpp:134</a></div></div>
<div class="ttc" id="classAccessory_html_a6e68b4693371383dfb026869af30d1d2"><div class="ttname"><a href="classAccessory.html#a6e68b4693371383dfb026869af30d1d2">Accessory::SetDuration</a></div><div class="ttdeci">void SetDuration(unsigned long inDuration)</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00344">Accessory.hpp:344</a></div></div>
<div class="ttc" id="classPort_html_a676359ed59bf5091126fd96e1a04cafa"><div class="ttname"><a href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">Port::SetSpeed</a></div><div class="ttdeci">virtual int SetSpeed(int inSpeed)</div><div class="ttdef"><b>Definition:</b> <a href="Port_8cpp_source.html#l00108">Port.cpp:108</a></div></div>
<div class="ttc" id="classAccessory_html_a245ad3bad4fa0f1d657fdc20b2edb868"><div class="ttname"><a href="classAccessory.html#a245ad3bad4fa0f1d657fdc20b2edb868">Accessory::EEPROMLoad</a></div><div class="ttdeci">virtual int EEPROMLoad(int inPos)</div></div>
<div class="ttc" id="classAccessory_html_af94464d9b49e5700d3c20d0cd206ac51"><div class="ttname"><a href="classAccessory.html#af94464d9b49e5700d3c20d0cd206ac51">Accessory::begin</a></div><div class="ttdeci">void begin(ACC_STATE inStartingState = STATE_NONE)</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00180">Accessory.hpp:180</a></div></div>
<div class="ttc" id="classAccessory_html_a7079494cf9cb5130e5b3a5762e04e947"><div class="ttname"><a href="classAccessory.html#a7079494cf9cb5130e5b3a5762e04e947">Accessory::prevState</a></div><div class="ttdeci">ACC_STATE prevState</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00170">Accessory.hpp:170</a></div></div>
<div class="ttc" id="classAccessory_html_ae1ebffdf3fe753e3c5e7d05c2a61fd18"><div class="ttname"><a href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">Accessory::pPort</a></div><div class="ttdeci">Port * pPort</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00167">Accessory.hpp:167</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a204b97a97847c159cffcb1f5a6face31"><div class="ttname"><a href="classAccessoryMotor.html#a204b97a97847c159cffcb1f5a6face31">AccessoryMotor::begin</a></div><div class="ttdeci">void begin(Port *inpPort, unsigned long inId, int inSpeed, unsigned long inDurationMilli = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00015">AccessoryMotor.cpp:15</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a0594d7dee588b2abee916bfc82f33f90"><div class="ttname"><a href="classAccessoryMotor.html#a0594d7dee588b2abee916bfc82f33f90">AccessoryMotor::AccessoryMotor</a></div><div class="ttdeci">AccessoryMotor()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00011">AccessoryMotor.cpp:11</a></div></div>
<div class="ttc" id="Accessories_8h_html"><div class="ttname"><a href="Accessories_8h.html">Accessories.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>AccessoryMotor.cpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
